Redmine - Feature #323

Change status dropdown should not include the current status of the issue.

2007-04-13 22:41 - Laran Evans

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Resolution:

Description

When an issue is in Closed status, Closed should not be an option in the Change status dropdown. Same for all other
statuses.

History

#1 - 2007-04-14 04:06 - Pavol Murin

Hello, | strongly disagree.
Having the possibility to change status to the same status allows
for the following:

Issue #132 is in "open" status and is assigned to Bendt.
Berndt investigates the issue and finds that it should better
be done by Romeo. Berndt has no "edit issue" privileges

- so he changes the status to "open" (same state),

assigns it to Romeo and writes a little comment.

Why not give him "edit" privileges? Well, if you just

edit an issue, this change won't be remembered in the journal
(=history) of the issue. The edit feature is still useful, but

as an admin feature, not as a common workflow feature.

At least, this is how | understand it...

muro

#2 - 2007-04-14 13:25 - Laran Evans

| see what you're saying. | definitely agree that the
functionality you describe needs to be available. But it
seems a bit awkward to accomplish that by changing the status.

I use JIRA primarily at work. JIRA allows the functionality
you describe by allowing people to comment on an issue. This
doesn't involve changing the status at all.

So, | guess this is more of a design question. How should
people be allowed to comment on issues? Should it happen
strictly by changing the status? Or should it be a separate
kind of thing?

#3 - 2007-04-15 03:13 - Pavol Murin

Yes, | agree - it is a bit awkward. | got used to it, but it
might not be the best way.

Anyway - if you want just to add a note, you can do that without
changing the status. But if you want to change who the issue

is assigned to, only then you must change the status.

| am also not certain, if it is better to have a separate action
(change assignment) - it also makes the interface clunkier.

#4 - 2007-04-16 04:39 - Jean-Philippe Lang

You're right.
- Currently, the same status as the current issue status is added
in the list (forced). | propose to remove this rule and let the
user define this behaviour through the workflow screen (un-disable
the checkboxes on the "diagonal”, eg. Closed/Closed

can be check or not).

- I'll add a "Assign" permission that will allow a

user to set/change the assignement without changing the status.

#5 - 2007-04-16 07:53 - Laran Evans

That sounds great. If you want to go one step further you
could put two links up there. One called "Assign" to

assign

it to anyone, and another called "Assign to me" as a
convenient way to claim issues. JIRA has this feature and |
use it at least a couple times a week.

#6 - 2007-11-16 16:52 - Jean-Philippe Lang

Assignee can be changed from the issue list using the context
menu (right click on the issue row).
